Bug 204755 - [MULTIPLE PORTS] Update MAINTAINER email, Remove MASTER_SITE
Summary: [MULTIPLE PORTS] Update MAINTAINER email, Remove MASTER_SITE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Martin Wilke
URL:
Keywords: easy, needs-qa, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-11-22 22:01 UTC by Jason W. Bacon
Modified: 2015-12-11 08:49 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
Unified diff (34.65 KB, patch)
2015-12-06 22:39 UTC, Jason W. Bacon
no flags Details | Diff
Unified diff (34.83 KB, patch)
2015-12-06 22:58 UTC, Jason W. Bacon
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason W. Bacon freebsd_committer 2015-11-22 22:01:53 UTC
My ISP is unfortunately no longer servicing my area, so I need to switch to a different personal email and website.

This will require two changes in multiple ports.

1) Replace jwbacon@tds.net with bacon4000@gmail.com in each of the following:

audio/praat/Makefile
biology/bwa/Makefile
biology/cd-hit/Makefile
biology/cdbfasta/Makefile
biology/fastool/Makefile
biology/fasttree/Makefile
biology/fastx-toolkit/Makefile
biology/gmap/Makefile
biology/hmmer/Makefile
biology/libgtextutils/Makefile
biology/ncbi-blast+/Makefile
biology/plink/Makefile
biology/plinkseq/Makefile
comms/cutecom/Makefile
devel/libgamepad/Makefile
devel/libnxt/Makefile
devel/libsysinfo/Makefile
devel/linux-c6-ncurses-base/Makefile
devel/linux-f10-devtools/Makefile
devel/linux-f10-ncurses-base/Makefile
devel/lnphost/Makefile
devel/openvex/Makefile
devel/p5-Device-USB/Makefile
devel/papp/Makefile
devel/py-instant/Makefile
devel/roboctl/Makefile
devel/swig20/Makefile
lang/nbc/Makefile
lang/x10/Makefile
math/matlab-installer/Makefile
math/py-ffc/Makefile
math/py-fiat/Makefile
math/py-ufl/Makefile
math/py-viper/Makefile
math/rapid/Makefile
math/ufc/Makefile
ports-mgmt/genplist/Makefile
science/afni/Makefile
science/dlpoly-classic/Makefile
science/fvcom-mpi/Makefile
science/fvcom/Makefile
science/nifticlib/Makefile
science/openkim/Makefile
science/voro++/Makefile
sysutils/auto-admin/Makefile
sysutils/condor/Makefile
sysutils/desktop-installer/Makefile
sysutils/diskimage-tools/Makefile
sysutils/endian/Makefile
sysutils/ganglia-monitor-core/Makefile
sysutils/mcweject/Makefile
sysutils/slurm-wlm/Makefile
textproc/xml-format/Makefile
www/webbrowser/Makefile


2) Remove http://personalpages.tds.net/~jwbacon/Ports/distfiles/ from MASTER_SITES in each of the following:

biology/cdbfasta/Makefile
comms/cutecom/Makefile
devel/libgamepad/Makefile
devel/libnxt/Makefile
devel/openvex/Makefile
devel/p5-Device-USB/Makefile
devel/papp/Makefile
devel/roboctl/Makefile
math/matlab-installer/Makefile
ports-mgmt/genplist/Makefile
science/afni/Makefile
sysutils/auto-admin/Makefile
sysutils/desktop-installer/Makefile
sysutils/diskimage-tools/Makefile
sysutils/endian/Makefile
sysutils/mcweject/Makefile
textproc/xml-format/Makefile
www/webbrowser/Makefile

All of these have an alternate master site already.

Thanks.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-27 02:09:47 UTC
@JWBacon, Can you provide a patch to make this changes please. Just a reminder that once these changes are committed, the email address in your bugzilla account should be updated to reflect the new one (Such that maintainer approvals, etc continue to work)
Comment 2 Jason W. Bacon freebsd_committer 2015-12-06 22:39:26 UTC
Created attachment 163919 [details]
Unified diff

OK, try this one.
Comment 3 Jason W. Bacon freebsd_committer 2015-12-06 22:41:20 UTC
Scratch this patch.  I just realized the new email in it is wrong.  I'll send a new one ASAP.
Comment 4 Jason W. Bacon freebsd_committer 2015-12-06 22:58:18 UTC
Created attachment 163921 [details]
Unified diff

Corrected patch attached.
Comment 5 commit-hook freebsd_committer 2015-12-11 08:49:27 UTC
A commit references this bug:

Author: miwi
Date: Fri Dec 11 08:49:02 UTC 2015
New revision: 403506
URL: https://svnweb.freebsd.org/changeset/ports/403506

Log:
  - Update maintainer mail address
  - Update/Remove MASTER_SITE

  PR:		204755
  Submitted by:	 jwbacon@tds.net (maintainer)
  Approved by:	mat (mentor)
  Differential Revision:	D4493

Changes:
  head/audio/praat/Makefile
  head/biology/bwa/Makefile
  head/biology/cd-hit/Makefile
  head/biology/cdbfasta/Makefile
  head/biology/fastool/Makefile
  head/biology/fasttree/Makefile
  head/biology/fastx-toolkit/Makefile
  head/biology/gmap/Makefile
  head/biology/hmmer/Makefile
  head/biology/libgtextutils/Makefile
  head/biology/ncbi-blast+/Makefile
  head/biology/plink/Makefile
  head/biology/plinkseq/Makefile
  head/comms/cutecom/Makefile
  head/devel/libgamepad/Makefile
  head/devel/libnxt/Makefile
  head/devel/libsysinfo/Makefile
  head/devel/linux-c6-ncurses-base/Makefile
  head/devel/linux-f10-devtools/Makefile
  head/devel/linux-f10-ncurses-base/Makefile
  head/devel/lnphost/Makefile
  head/devel/openvex/Makefile
  head/devel/p5-Device-USB/Makefile
  head/devel/papp/Makefile
  head/devel/py-instant/Makefile
  head/devel/roboctl/Makefile
  head/devel/swig20/Makefile
  head/lang/nbc/Makefile
  head/lang/x10/Makefile
  head/math/matlab-installer/Makefile
  head/math/py-ffc/Makefile
  head/math/py-fiat/Makefile
  head/math/py-ufl/Makefile
  head/math/py-viper/Makefile
  head/math/rapid/Makefile
  head/math/ufc/Makefile
  head/ports-mgmt/genplist/Makefile
  head/science/afni/Makefile
  head/science/dlpoly-classic/Makefile
  head/science/fvcom/Makefile
  head/science/fvcom-mpi/Makefile
  head/science/nifticlib/Makefile
  head/science/openkim/Makefile
  head/science/voro++/Makefile
  head/sysutils/auto-admin/Makefile
  head/sysutils/condor/Makefile
  head/sysutils/desktop-installer/Makefile
  head/sysutils/diskimage-tools/Makefile
  head/sysutils/endian/Makefile
  head/sysutils/ganglia-monitor-core/Makefile
  head/sysutils/mcweject/Makefile
  head/sysutils/slurm-wlm/Makefile
  head/textproc/xml-format/Makefile
  head/www/webbrowser/Makefile